Bug 119739 - missing soname(s) / ldconfig
missing soname(s) / ldconfig
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-01 17:08 EST by Philipp Berndt
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-02 03:20:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philipp Berndt 2004-04-01 17:08:51 EST
When updating (with up2date-4.3.11-2.1.1, rpm-4.3-0.22)
from kdenetwork-3.2.1-2 to kdenetwork-3.2.1-3
some sonames (.so.x links) are missing,
at least this one: /usr/lib/libkopete.so.1

Running ldconfig fixes it.

Additional info:
[archmage@deepthought archmage]$ ldd /usr/bin/kopete
        libktexteditor.so.0 => /usr/lib/libktexteditor.so.0 
(0x00c1c000)
        libkopete.so.1 => not found
        libkabc.so.1 => /usr/lib/libkabc.so.1 (0x05ce3000)
        libvcard.so.0 => /usr/lib/libvcard.so.0 (0x00d00000)
        libkresources.so.1 => /usr/lib/libkresources.so.1 
(0x00c64000)
        libkhtml.so.4 => /usr/lib/libkhtml.so.4 (0x05f97000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x00bfc000)
        libkjs.so.1 => /usr/lib/libkjs.so.1 (0x0071b000)
        libkdeprint.so.4 => /usr/lib/libkdeprint.so.4 (0x05ec7000)
        libkparts.so.2 => /usr/lib/libkparts.so.2 (0x00681000)
        libkwalletclient.so.1 => /usr/lib/libkwalletclient.so.1 
(0x00c52000)
        libxslt.so.1 => /usr/lib/libxslt.so.1 (0x00111000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0x05d8f000)
        libXss.so.1 => /usr/X11R6/lib/libXss.so.1 (0x00141000)
        libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x00618000)
        libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x005d8000)
        libcom_err.so.2 => /lib/libcom_err.so.2 (0x005b3000)
        libkutils.so.1 => /usr/lib/libkutils.so.1 (0x006c8000)
        libkio.so.4 => /usr/lib/libkio.so.4 (0x059ce000)
        libkdeui.so.4 => /usr/lib/libkdeui.so.4 (0x002ef000)
        libkdesu.so.4 => /usr/lib/libkdesu.so.4 (0x005fc000)
        libkdecore.so.4 => /usr/lib/libkdecore.so.4 (0x007de000)
        libDCOP.so.4 => /usr/lib/libDCOP.so.4 (0x00db1000)
        libdl.so.2 => /lib/libdl.so.2 (0x00144000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x00be8000)
        libart_lgpl_2.so.2 => /usr/lib/libart_lgpl_2.so.2 
(0x00d99000)
        libkdefx.so.4 => /usr/lib/libkdefx.so.4 (0x00cac000)
        libqt-mt.so.3 => /usr/lib/qt-3.3/lib/libqt-mt.so.3 
(0x052c3000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00cdb000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x00a06000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x00148000)
        libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x00a43000)
        libICE.so.6 => /usr/X11R6/lib/libICE.so.6 (0x00a2a000)
        libpthread.so.0 => /lib/tls/libpthread.so.0 (0x00a16000)
        libXrender.so.1 => /usr/X11R6/lib/libXrender.so.1 
(0x00ab4000)
        libutil.so.1 => /lib/libutil.so.1 (0x00ca1000)
        libz.so.1 => /usr/lib/libz.so.1 (0x009f3000)
        libfam.so.0 => /usr/lib/libfam.so.0 (0x005b8000)
        libstdc++.so.5 => /usr/lib/libstdc++.so.5 (0x00b2b000)
        libm.so.6 => /lib/tls/libm.so.6 (0x00210000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00b21000)
        libc.so.6 => /lib/tls/libc.so.6 (0x00de5000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x007c8000)
        libmng.so.1 => /usr/lib/libmng.so.1 (0x00d54000)
        libXrandr.so.2 => /usr/X11R6/lib/libXrandr.so.2 (0x00b1c000)
        libXinerama.so.1 => /usr/X11R6/lib/libXinerama.so.1 
(0x00ca7000)
        libXft.so.2 => /usr/X11R6/lib/libXft.so.2 (0x00abe000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00a4d000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 
(0x00af3000)
        libexpat.so.0 => /usr/lib/libexpat.so.0 (0x00ad2000)
Comment 1 Ngo Than 2004-04-02 03:20:48 EST
it's fixed in 3.2.1-5.1. thanks for your report

Note You need to log in before you can comment on or make changes to this bug.